#switcher {
    display: grid;
    place-items: center;
    height: 100vh;
}
.toggle {
    position: absolute;
    width: 540px;
    height: 200px;
    background: #3482BE;
    box-shadow: 0 -4px 4px rgba(0, 0, 0, 0.15), 0 4px 4px rgba(255, 255, 255, 0.6), inset 0 0 30px rgba(0, 0, 0, 0.25), inset 0 10px 7px rgba(0, 0, 0, 0.25);
    border: none;
    border-radius: 100px;
    transition: all .5s;
    cursor: pointer;
    overflow: hidden;
}
.toggle.active {
    background: #1e2234;
}
.sun {
    position: absolute;
    width: 160px;
    height: 160px;
    left: 20px;
    top: 20px;
    background: #f9c725;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.25), inset 4px 4px 5px rgba(255, 255, 255, 0.7), inset -4px -4px 5px rgba(0, 0, 0, 0.25);
    border-radius: 80px;
    z-index: 4;
    transition: all .5s;
    overflow: hidden;
}
.active .sun {
    left: 360px;
}
.moon {
    position: absolute;
    width: 160px;
    height: 160px;
    left: 160px;
    top: 0;
    background: #c8d0d9;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.25), inset 4px 4px 5px rgba(255, 255, 255, 0.7), inset -4px -4px 5px rgba(0, 0, 0, 0.25);
    border-radius: 80px;
    transition: all .5s;
}
.active .moon {
    left: 0;
}
.moon  .crater {
    background: #9fa8bb;
    box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.25);
    position: absolute;
}
.moon .crater.crater__one {
    width: 50px;
    height: 50px;
    left: 38px;
    top: 75px;
    border-radius: 25px;
}
.moon .crater.crater__second {
    width: 30px;
    height: 30px;
    left: 100px;
    top: 100px;
    border-radius: 15px;
}
.moon .crater.crater__third {
    width: 36px;
    height: 36px;
    left: 70px;
    top: 20px;
    border-radius: 18px;
}
.light {
    position: absolute;
    width: 580px;
    height: 580px;
    left: -190px;
    top: -190px;
    z-index: 2;
    transition: all .5s;
}
.light .light-el {
    position: absolute;
    background: rgba(255, 255, 255, 0.2);
}
.light-el.light-ellipse__1 {
    width: 300px;
    height: 300px;
    left: 140px;
    top: 140px;
    border-radius: 150px;
}
.light-el.light-ellipse__2 {
    width: 440px;
    height: 440px;
    left: 70px;
    top: 70px;
    border-radius: 220px;
}
.light-el.light-ellipse__3 {
    width: 580px;
    height: 580px;
    left: 0;
    top: 0;
    border-radius: 290px;
}
.active .light {
    left: 150px;
    top: -190px;
}
.active .light .light-el {
    position: absolute;
}
.active .light-el.light-ellipse__1 {
    left: 140px;
    top: 140px;
}
.active .light-el.light-ellipse__2 {
    left: 70px;
    top: 70px;
}
.active .light-el.light-ellipse__3 {
    left: 0;
    top: 0;
}
.clouds {
    position: absolute;
    width: 587px;
    height: 352px;
    left: 50px;
    top: 0;transition: all,  .5s;
}
.clouds-wrapper {
    position: absolute;
    width: 572px;
    height: 312px;
}
.clouds-wrapper.clouds-wrapper__font {
    left: 15px;
    top: 40px;
    z-index: 3;
}
.clouds-wrapper.clouds-wrapper__back {
    left: 0;
    top: 0;
    z-index: 1;
    opacity: 0.5;
}
.clouds .clouds-wrapper .ellipse {
    background: #FFFFFF;
    position: absolute;
}
.clouds .clouds-wrapper .ellipse_9 {
    width: 100px;
    height: 100px;
    left: 159px;
    top: 80px;
    border-radius: 50px;
}
.clouds .clouds-wrapper .ellipse_6 {
    width: 100px;
    height: 100px;
    left: 235px;
    top: 104px;
    border-radius: 50px;
}
.clouds .clouds-wrapper .ellipse_5 {
    width: 150px;
    height: 150px;
    left: 304px;
    top: 56px;
    border-radius: 75px;
}
.clouds .clouds-wrapper .ellipse_7 {
    width: 200px;
    height: 200px;
    left: 0;
    top: 112px;
    border-radius: 100px;
}
.clouds .clouds-wrapper .ellipse_8 {
    width: 150px;
    height: 150px;
    left: 422px;
    top: 71px;
    border-radius: 75px;
}
.clouds .clouds-wrapper .ellipse_4 {
    width: 150px;
    height: 150px;
    left: 391px;
    top: 0;
    border-radius: 75px;
}
.active .clouds {
    top: 200px;
}
.stars {
    position: absolute;
    width: 306px;
    height: 147px;
    left: 40px;
    top: -160px;
    transition: all, .5s;
}
.stars .star {
    position: absolute;
    background-image: url('../images/lab_four/star.svg');
    background-size: contain;
}
.star_1 {
    width: 10px;
    height: 10px;
    left: 64px;
    top: 134px;
}
.star_2 {
    width: 10px;
    height: 10px;
    left: 0;
    top: 127px;
}
.star_3 {
    width: 10px;
    height: 10px;
    left: 27px;
    top: 107px;
}
.star_4 {
    width: 10px;
    height: 10px;
    left: 189px;
    top: 72px;
}
.star_5 {
    width: 12px;
    height: 12px;
    left: 268px;
    top: 88px;
}
.star_6 {
    width: 12px;
    height: 12px;
    left: 219px;
    top: 16px;
}
.star_7 {
    width: 12px;
    height: 12px;
    left: 20px;
    top: 37px;
}
.star_8 {
    width: 17px;
    height: 17px;
    left: 69px;
    top: 63px;
}
.star_9 {
    width: 17px;
    height: 17px;
    left: 223px;
    top: 123px;
}
.star_10 {
    width: 32px;
    height: 32px;
    left: 69px;
    top: 0;
}
.star_11 {
    width: 32px;
    height: 32px;
    left: 274px;
    top: 32px;
}
.active.stars {
    top: 26px;
}